#!/bin/csh -v

### set up the environment variables ###
rm -f *.evt MIO_STATS getenv.out spill_test.dat

setenv FBS_SCR_DIR /tmp

setenv MIO_STATS "$1.stats"
setenv MIO_DEFAULTS "trace/mbytes/stats/inter,pf/stats"
setenv MIO_FILES       "*.dat[trace/global=pre_pf/stats={$1.bad.stats}/xml/events={$1.evt} ]"
setenv MIO_DEBUG "LICENSE OPEN"

./$1 \
   "file=${FBS_SCR_DIR}/spill_test.dat" \
   nwrite=1 \
   nread=-1 \
   nr=300 \
   bs=128k \
   stride=-1 \
   nwork=1 \
   npass=1 \
   allocate=-1 \
   check
rm -f    ${FBS_SCR_DIR}/spill_test.dat
