#!/bin/csh -v

### set up the environment variables ###

# 32 bit
setenv TKIO_ALTLIB $IHPCT_BASE/lib/get_hpcmio_ptrs.so/print/abort

# 64 bit
# setenv TKIO_ALTLIB $IHPCT_BASE/lib64/get_hpcmio_ptrs.so/print/abort

rm -f *.evt MIO_STATS getenv.out

setenv FBS_SCR_DIR /tmp
rm -f    ${FBS_SCR_DIR}/spill_test.dat

setenv MIO_STATS "xml.stats"
setenv MIO_DEFAULTS "trace/mbytes/stats/inter,pf/stats"
setenv MIO_FILES       "*.dat[trace/global=pre_pf/stats={bad.stats}/xml/events={./fbs.evt} ]"

./fbs.exe \
   "file=${FBS_SCR_DIR}/spill_test.dat" \
   nwrite=1 \
   nread=-1 \
   nr=300 \
   bs=128k \
   stride=-1 \
   nwork=1 \
   npass=1 \
   allocate=-1 \
   check

rm -f    ${FBS_SCR_DIR}/spill_test.dat
